package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*结算证明与子单表的关联表
* @author quyixiao
* @since 2025-08-26
*/

@Data
@TableName("vv_trade_order_line_settlement_prove")
public class VvTradeOrderLineSettlementProveEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvTradeOrderLineSettlementProveEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                     // 
    public final static String is_delete = CLASS_NAME + "is_delete";                        // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                    // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                    // 修改时间
    public final static String trade_order_line_id = CLASS_NAME + "trade_order_line_id";    // 
    public final static String settlement_prove_id = CLASS_NAME + "settlement_prove_id";    // 
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //
    private Long tradeOrderLineId;
    //
    private Long settlementProveId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     *  
     * @return
     */
    public Long getTradeOrderLineId() {
        return tradeOrderLineId;
    }
    /**
     *  
     * @param tradeOrderLineId
     */
    public void setTradeOrderLineId(Long tradeOrderLineId) {
        this.tradeOrderLineId = tradeOrderLineId;
    }

    /**
     *  
     * @return
     */
    public Long getSettlementProveId() {
        return settlementProveId;
    }
    /**
     *  
     * @param settlementProveId
     */
    public void setSettlementProveId(Long settlementProveId) {
        this.settlementProveId = settlementProveId;
    }

    @Override
    public String toString() {
        return "VvTradeOrderLineSettlementProveEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",tradeOrderLineId=" + tradeOrderLineId +
                ",settlementProveId=" + settlementProveId +
                "}";
    }
}